org.apache.maven.shared.model.fileset.mappers

## Interface FileNameMapper

All Known Implementing Classes:
  FlatFileNameMapper, GlobPatternMapper, IdentityMapper, MergingMapper, PackageNameMapper, UnPackageNameMapper

    public interface FileNameMapper

Interface to be used by SourceFileScanner.

Used to find the name of the target file(s) corresponding to a source file.

The rule by which the file names are transformed is specified via the setFrom and setTo methods. The exact meaning of these is implementation dependent.

Version:
  $Id: FileNameMapper.java 1721672 2015-12-25 13:18:36Z khmarbaise $

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `mapFileName(String sourceFileName)` Returns the target filename for the given source file.
`void` `setFrom(String from)` Sets the from part of the transformation rule.
`void` `setTo(String to)` Sets the to part of the transformation rule.

### Method Detail

#### setFrom

    void setFrom(String from)

Sets the from part of the transformation rule.

Parameters:
  `from` - The source.

#### setTo

    void setTo(String to)

Sets the to part of the transformation rule.

Parameters:
  `to` - The destination.

#### mapFileName

    String mapFileName(String sourceFileName)

Returns the target filename for the given source file.

if the given rule doesn't apply to the source file, implementation must return null. SourceFileScanner will then omit the source file in question.

Parameters:
  `sourceFileName` - the name of the source file relative to some given basedirectory.
Returns:
  the target filename for the given source file.